Subject: Re: B20.1 end of file command ([ctrl]D) not working (win95 4.00.950 B)
From: [email-masked] (Earnie Boyd)

14 Jan 1999 04:25:38 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Cliff Gower <[email-masked]>
Cc: cygwin users <[email-masked]>

CAUTION:  Do not use the Cygwin product to _LEARN_ _UNIX_.  You're not
going to be able to do that effectively as the OS is still Win32. 
Instead get LINUX or FreeBSD or some other flavor of UNIX to _LEARN_
_UNIX_.

Workaround/Fix 1:  Use ([ctrl]Z) instead.

Workaround/Fix 2:  SET CYGWIN=TTY before starting bash.
Caveat: Doing this will cause bash not to work properly with
_NON-CYGWIN_ programs.

---Cliff Gower <[email-masked]> wrote:
>
> The end of file command ([ctrl]D) does not end input to a file and
return
> the unix prompt.  Actually, this whole operation does not work
properly.
> 
> steps to reproduce:
> at the prompt type the following:
> cat [enter]
> then type anything you want and hit [enter].
> your input is immediately directed to the screen.  [return] should not
> direct your input to the screen.  It should just send the cursor to
the
> next line.  input should not be directed to the screen until the end
of
> file command ([ctrlD]) is given.  However, [ctrl]D is not
functioning.  It
> just returns the * charcter.  This means there is no way back to the
unix
> prompt.
> If at the beginning of this operation, the user directs the input to
an
> actual file:
> cat > file1
> the input will be directed to the file and not directly to the
screen, but
> there is still no way out of this operation as [ctrl]D still does
not work.
> 
> I hope that was clear enough.  I'm new to unix, so I'm not certain
of all
> the lingo and naming conventions.  Anyway, let me know if I can be
of any
> more service.
> 
> -Cliff
> 
> 
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".